Get provider sub folders

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /integration/v1/provider/{provider}/folders/{folderId}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • provider string Required

    Values are AUTODESK, PROCORE, EGNYTE, or OPC.

  • folderId string Required

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • folderId string
    • name string
    • path string
    • parentId string
    • isFolder boolean
    • baseUrl string
GET /integration/v1/provider/{provider}/folders/{folderId}
curl \
 --request GET 'https://live.smartpmtech.com/integration/v1/provider/{provider}/folders/{folderId}' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "folderId": "string",
    "name": "string",
    "path": "string",
    "parentId": "string",
    "isFolder": true,
    "baseUrl": "string"
  }
]